[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libpkg-guide updated (versioned symbols), please proofread

On Sat, Jun 12, 2004 at 01:19:58PM -0500, Steve Langasek wrote:

> running them on Debian systems.  They do prevent you from taking
> binaries built on Debian and running them elsewhere; but given that
> failing to use versioned symbols frequently causes binaries built on

Both cases are important - I know I've personally made a reasonable
amount of use of the ability to run Debian built binaries on other

There's also the problem that if we do end up fixing bugs by doing this
then developers working on Debian may have a much harder time supporting
users on other systems.  Problems will still occur but if we've bodged
around them locally then they'll not be visible on Debian systems.

> Debian to not run on *Debian*, I believe this is the lesser of two
> evils.

It does seem rather rude to do this without upstream, which is also a

"You grabbed my hand and we fell into it, like a daydream - or a fever."

Reply to: